options validvarname=upcase;

title;

data c1921_2021 (keep=year age gender pop);
infile "f:\sugi29\data\c1921_2021.txt" end=last;
input year age t m f;
age = 12 - age;
pop =  m/1000; gender = 'm'; output;
pop = -f/1000; gender = 'f'; output;
label
age = 'AGE GROUP'
pop = 'POPULATION (1000s)'
;
run;

proc sort data=c1921_2021;
by year age gender;
run;

proc contents data=c1921_2021;
run;

proc print data=c1921_2021 (obs=10) noobs label;
run;
